clear all
close all
clc

%% calcolo strong coupling
%%
xp=500; 
yp=400;
xf=18; % font
xl=3; % linewidth

trans_EXP=load('trans_antON_ITO40nm.txt');
lam_EXP=trans_EXP(:,1);

EXP_trans=zeros(229,8);

for ii=1:8
    EXP_trans(:,ii)=trans_EXP(:,1+ii);
end

lenght_EXP=[370 430 460 520 570 620 670 720];

n = 50;                %// number of colors

cmap(1,:) = [1 0 0];   %// color first row - red
cmap(2,:) = [1 1 1];   %// color 25th row - green
cmap(3,:) = [0 0 1];   %// color 50th row - blue

[X,Y] = meshgrid([1:3],[1:50]);  %// mesh of indices

cmap = interp2(X([1,25,50],:),Y([1,25,50],:),cmap,X,Y); %// interpolate colormap

figure(458)
set(gcf,'Units','Normalized','Position',[0.2,0.2,0.36,0.55]);
colormap( jet )
surf(lenght_EXP,lam_EXP./1000,EXP_trans./100) 
shading interp
set(gca,'YDir','normal','fontname','Calibri')
set(gca,'fontsize',20,'fontname','Calibri')
xlabel(' Antenna length (nm)','fontname','Calibri','fontweight','bold','fontsize',20)    
ylabel('Wavelength (\mum)','fontname','Calibri','fontweight','bold','fontsize',20)     
axis([370, 700, 1, 2])
caxis([0.2 1])
hcb=colorbar('fontsize',20,'fontname','Calibri')   
title('\fontsize{20} Experiment')

set(gca,'fontsize',20,'fontweight','bold')
