clear all
close all
clc

index=load('refractive_index_ITO.txt')
nr=index(:,2);
ni=index(:,3);

n0=nr+1i.*ni;
eps=n0.^2;

figure(111)
plot(index(:,1),real(eps),'r','Linewidth',2)
hold on
plot(index(:,1),imag(eps),'b','Linewidth',2)
xlabel('\fontsize{18} Wavelength(nm)','Linewidth',2)
ylabel('\fontsize{18} Real_{\epsilon} & Imag_{\epsilon}')
xlim([1000 1800])
legend('\fontsize{16} \epsilon_{real}','\fontsize{16} \epsilon_{imag}', 'Location',[0.75 0.85 0.05 0.05])
set(gca,'fontsize',18,'fontweight','bold')
