clear all;
close all;
clc;
%%
load('dat_fig.mat');
ITO=load('NR_ITO2mW.txt'); %ITO NR effic. 
PC=load('PC_2mW.txt'); % PC effic. for the metasurface

% powerXX_fwmb_exp is the experimental results for the NR 
% Eff250, Eff650 and EffSC are the FDTD simulation
% lam_fwmb_exp is the wavelength tested in the experiment
% Lam_FDTD are the wavelength used in the simulations


figure(11)
plot(lam_fwmb_exp,100.*powe05_fwmb_exp,'o-r','Linewidth',2)
hold on
plot(lam_fwmb_exp,100.*powe10_fwmb_exp,'o-k','Linewidth',2)
plot(lam_fwmb_exp,100.*powe20_fwmb_exp,'o-g','Linewidth',2)
plot(PC(:,1),100.*PC(:,2),'o-r','Linewidth',2)
plot(lam_fwmb_exp,100.*powe30_fwmb_exp,'o-b','Linewidth',2)
plot(ITO(:,1),100000.*ITO(:,2),'--k','Linewidth',4)
xlabel('\fontsize{16} Wavelength (nm)')
ylabel('\fontsize{16} NR Efficiency (%)')
xlim([1100 1800])
legend('\fontsize{16} NR 0.5 mW','\fontsize{16} NR 1 mW','\fontsize{16} NR 2 mW','\fontsize{16} PC 2 mW','\fontsize{16} NR 3 mW','\fontsize{16} ITO 2 mW','Location',[0.75 0.85 0.05 0.05])
set(gca,'fontsize',20,'fontweight','bold')
grid on
